Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlBezierCurve Class Reference

`#include <GlBezierCurve.h>`

Inherits tlp::GlSimpleEntity.

Inheritance diagram for tlp::GlBezierCurve:

[legend]
Collaboration diagram for tlp::GlBezierCurve:

[legend]
List of all members.

## Public Member Functions

- GlBezierCurve (const std::vector< Coord > &controlPoints, const Color &beginColor, const Color &endColor, const float &beginSize, const float &endSize, const unsigned int nbCurvePoints=100, const std::string &texture="")
- ~GlBezierCurve ()
- void draw (float lod, Camera *camera)
- void setTexture (const std::string &texture)
- void setOutlined (const bool outlined)
- void setOutlineColor (const Color &outlineColor)
- void translate (const Coord &mouvement)
- void getXML (xmlNodePtr rootNode)
- void setWithXML (xmlNodePtr rootNode)

## Protected Attributes

- GlShaderProgram * bezierVertexShader
- bool vboOk
- std::string shaderProgramName
- std::vector< Coord > controlPoints
- GLfloat * controlPointsArray
- int nbControlPoints
- Color beginColor
- Color endColor
- float beginSize
- float endSize
- std::string texture
- unsigned int nbCurvePoints
- bool outlined
- Color outlineColor

## Constructor & Destructor Documentation

tlp::GlBezierCurve::GlBezierCurve | ( | const std::vector< Coord > & | controlPoints,
|  | const Color & | beginColor,
|  | const Color & | endColor,
|  | const float & | beginSize,
|  | const float & | endSize,
|  | const unsigned int | nbCurvePoints = `100`,
|  | const std::string & | texture = `""`
| ) |

tlp::GlBezierCurve::~GlBezierCurve | ( |  | ) |

## Member Function Documentation

void tlp::GlBezierCurve::draw | ( | float | lod,
|  | Camera * | camera
| ) | `[virtual]`

| Draw function Implements tlp::GlSimpleEntity.

void tlp::GlBezierCurve::getXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

| Save the entity in Xml Implements tlp::GlSimpleEntity.

void tlp::GlBezierCurve::setOutlineColor | ( | const Color & | outlineColor | ) | `[inline]`

void tlp::GlBezierCurve::setOutlined | ( | const bool | outlined | ) | `[inline]`

void tlp::GlBezierCurve::setTexture | ( | const std::string & | texture | ) |

void tlp::GlBezierCurve::setWithXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

| Load entity with Xml Implements tlp::GlSimpleEntity.

void tlp::GlBezierCurve::translate | ( | const Coord & | mouvement | ) | `[virtual]`

| virtual fucntion : Translate entity Reimplemented from tlp::GlSimpleEntity.

## Member Data Documentation

Color tlp::GlBezierCurve::beginColor`[protected]`

float tlp::GlBezierCurve::beginSize`[protected]`

GlShaderProgram* tlp::GlBezierCurve::bezierVertexShader`[protected]`

std::vector<Coord> tlp::GlBezierCurve::controlPoints`[protected]`

GLfloat* tlp::GlBezierCurve::controlPointsArray`[protected]`

Color tlp::GlBezierCurve::endColor`[protected]`

float tlp::GlBezierCurve::endSize`[protected]`

int tlp::GlBezierCurve::nbControlPoints`[protected]`

unsigned int tlp::GlBezierCurve::nbCurvePoints`[protected]`

Color tlp::GlBezierCurve::outlineColor`[protected]`

bool tlp::GlBezierCurve::outlined`[protected]`

std::string tlp::GlBezierCurve::shaderProgramName`[protected]`

std::string tlp::GlBezierCurve::texture`[protected]`

bool tlp::GlBezierCurve::vboOk`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2010